<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- Creates a container used to group HTML elements -->

	<!-- Used to contain header part of a document  -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<!-- Used to contain main contents of a web document -->
	<main>
		<section>

			<h2>HTML Entities</h2>
			<p>
				<em>Resereved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
			</p>

			<!-- Define a HTML Table -->
			<table border="1">
				<!-- thead is used to group table header content, usually or table comlum titles -->
				<thead>
					<!-- tr is used to create a table row, 1 pair of tr is equavalent to 1 row -->
					<tr>
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- Used to group table body content -->
				<tbody>

					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>

					</tr>

					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>

					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>

					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>

					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>

					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>

					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<td>&Ntilde</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>

				</tbody>

				<!-- Used to group table footer content -->
				<tfoot>
					<th colspan="3">List of HTML entities</th>
				</tfoot>

			</table>

		</section>

		<section>
			<p>HTML Forms</p>
			<p>
				<em>Input elements that make up a form</em>
			</p>

			<!-- After submission our page will direct to google.com -->

			<form action="https://google.com">
				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required><br>

				<label for="birth-date">Birth Date:</label><br>
				<input type="date" name="birth-date" id="birt-date" required><br>

				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age" required min="1"><br>
				
				<label for="gender">Gender: </label>
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>
				
				<label for="notes">Notes:</label><br>
				<textarea name="notes" rows="5" id="notes"></textarea><br>

				<!-- Radio buttons -->
				<label>New User</label><br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label><br>

				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label><br>


				<!-- Checkboxes -->
				<label>Role:</label><br>
				<input type="checkbox" name="role" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role" id="role3" value="manager">
				<label for="role3">Manager</label><br>

				<button type="submit">Submit</button>
				<button type="reset">Reset</button>


			</form>


		</section>
	</main>

</body>
</html>